#pragma once

#include "CoreMinimal.h"
#include "Engine/DataTable.h"
#include "UObject/SoftObjectPtr.h"
#include "LobbySidePanelButtonDecoration.generated.h"

class UUserWidget;

USTRUCT(BlueprintType)
struct FLobbySidePanelButtonDecoration : public FTableRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftClassPtr<UUserWidget> Widget;

public:
	DBDUIVIEWINTERFACES_API FLobbySidePanelButtonDecoration();
};

FORCEINLINE uint32 GetTypeHash(const FLobbySidePanelButtonDecoration) { return 0; }
